clang 10.0.0git

Public Member Functions | Static Public Member Functions | List of all members
clang::TypeInfoLValue Class Reference

Symbolic representation of typeid(T) for some type T. More...

`#include "clang/AST/APValue.h"`

## Public Member Functions
| TypeInfoLValue ()
| TypeInfoLValue (const Type *T)
| The identity of a type_info object depends on the canonical unqualified type only. More...
const Type * | getType () const
| operator bool () const
void * | getOpaqueValue ()
void | print (llvm::raw_ostream &Out, const PrintingPolicy &Policy) const

## Static Public Member Functions
static TypeInfoLValue | getFromOpaqueValue (void *Value)

## Detailed Description

Symbolic representation of typeid(T) for some type T.

Definition at line 37 of file APValue.h.

## Constructor & Destructor Documentation

## ◆ TypeInfoLValue() [1/2]

clang::TypeInfoLValue::TypeInfoLValue | ( |  | ) |
| inline

Definition at line 41 of file APValue.h.

## ◆ TypeInfoLValue() [2/2]

TypeInfoLValue::TypeInfoLValue | ( | const Type * | T | ) |
| explicit

The identity of a type_info object depends on the canonical unqualified type only.

Definition at line 25 of file APValue.cpp.

## Member Function Documentation

## ◆ getFromOpaqueValue()

static TypeInfoLValue clang::TypeInfoLValue::getFromOpaqueValue | ( | void * | Value | ) |
| inline static

Definition at line 48 of file APValue.h.

References print(), and V.

Referenced by llvm::PointerLikeTypeTraits< clang::TypeInfoLValue >::getFromVoidPointer().

## ◆ getOpaqueValue()

void* clang::TypeInfoLValue::getOpaqueValue | ( |  | ) |
| inline

Definition at line 47 of file APValue.h.

Referenced by clang::APValue::LValueBase::dyn_cast(), and llvm::PointerLikeTypeTraits< clang::TypeInfoLValue >::getAsVoidPointer().

## ◆ getType()

const Type* clang::TypeInfoLValue::getType | ( |  | ) | const
| inline

Definition at line 44 of file APValue.h.

Referenced by print().

## ◆ operator bool()

clang::TypeInfoLValue::operator bool | ( |  | ) | const
| inline explicit

Definition at line 45 of file APValue.h.

## ◆ print()

void TypeInfoLValue::print | ( | llvm::raw_ostream & | Out,
|  | const PrintingPolicy & | Policy
| ) |  | const

Definition at line 28 of file APValue.cpp.

References getType(), and clang::QualType::print().

Referenced by getFromOpaqueValue().

The documentation for this class was generated from the following files:

- include/clang/AST/APValue.h
- lib/AST/APValue.cpp